ros-lyrical-srdfdom (2.0.9-3resolute) resolute; urgency=high

  * Use tinyxml2 package instead of deprecated tinyxml2_vendor (#137 <https://github.com/ros-planning/srdfdom/issues/137>)
  * Use correct target for console_bridge (#136 <https://github.com/ros-planning/srdfdom/issues/136>)
  * Contributors: Daisuke Nishimatsu, Robert Haschke, mosfet80

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 08 Apr 2026 05:00:00 -0000

ros-lyrical-srdfdom (2.0.8-3resolute) resolute; urgency=high

  * Modernize cmake
  * Contributors: mosfet80

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 28 May 2025 05:00:00 -0000

ros-lyrical-srdfdom (2.0.7-3resolute) resolute; urgency=high

  * Fix installing headers
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 14 Oct 2024 05:00:00 -0000

ros-lyrical-srdfdom (2.0.6-3resolute) resolute; urgency=high

  * Fix linking against tinyxml2
  * Install headers into include/srdfdom/srdfdom to make overlays work
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 13 Oct 2024 05:00:00 -0000

ros-lyrical-srdfdom (2.0.5-3resolute) resolute; urgency=high

  * Fix README instructions for ROS 2 (#130 <https://github.com/moveit/srdfdom/issues/130>)
  * Support conditional urdf/model.hpp include (#127 <https://github.com/moveit/srdfdom/issues/127>)
  * Remove rospy usage (#129 <https://github.com/moveit/srdfdom/issues/129>)
  * Add Jazzy to CI (#128 <https://github.com/moveit/srdfdom/issues/128>)
  * Update CMakeLists.txt (#123 <https://github.com/moveit/srdfdom/issues/123>)
    - minimum cmake version: 3.8
    - use default C++17
  * CI: Use clang-format-14
  * CI: update pre-commit tool versions (#125 <https://github.com/moveit/srdfdom/issues/125>)
  * CI: drop Galactic, add Iron
  * CI: Update action versions (#121 <https://github.com/moveit/srdfdom/issues/121>)
  * CI: update actions/checkout to version 3 (#116 <https://github.com/moveit/srdfdom/issues/116>)
  * Update .pre-commit-config.yaml (#113 <https://github.com/moveit/srdfdom/issues/113>)
  * Parse decimals in a locale-independent way (#108 <https://github.com/moveit/srdfdom/issues/108>)
  * Humble and formatting updates (#107 <https://github.com/moveit/srdfdom/issues/107>)
  * Contributors: AndyZe, Robert Haschke, Sebastian Castro, Vatan Aksoy Tezer, mosfet80

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 06 Oct 2024 05:00:00 -0000

ros-lyrical-srdfdom (2.0.4-3resolute) resolute; urgency=high

  * Parse <disable_default_collisions> and <enable_collisions> tags (#101, from #97)
  * Fix Windows .dll install location (#98)
  * Contributors: Robert Haschke, Abishalini Sivaraman, Akash, Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 09 May 2022 05:00:00 -0000

ros-lyrical-srdfdom (2.0.3-3resolute) resolute; urgency=high

  * Use modern cmake (#96 <https://github.com/ros-planning/srdfdom/issues/96>)
  * Fix unit tests & setup.py file (#94 <https://github.com/ros-planning/srdfdom/issues/94>)
  * Fix use of tinyxml2_vendor (#95 <https://github.com/ros-planning/srdfdom/issues/95>)
  * Fixes for usage on windows (#91 <https://github.com/ros-planning/srdfdom/issues/91>)
  * Contributors: Akash, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 27 Sep 2021 05:00:00 -0000

ros-lyrical-srdfdom (2.0.2-3resolute) resolute; urgency=high

  * Support rolling CI (#85 <https://github.com/ros-planning/srdfdom/issues/85>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 24 May 2021 05:00:00 -0000

ros-lyrical-srdfdom (2.0.1-3resolute) resolute; urgency=high

  * SRDFWriter: Add functionality to generate xml for the joint properties
  * Add a new JointProperties xml tag
  * Add diff_drive type to virtual joints
  * [fix] export cmake library install (#76 <https://github.com/ros-planning/srdfdom/issues/76>)
  * Contributors: David V. Lu, Jafar Abdi, Mark Moll, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 09 Apr 2021 05:00:00 -0000

ros-lyrical-srdfdom (2.0.0-3resolute) resolute; urgency=high

  * [fix] Conflicting upstream dependency console_bridge
    * Add console_bridge libs with ament_target_dependencies (#59 <https://github.com/ros-planning/srdfdom/issues/59>)
    * Use console_bridge_vendor dependency wrapper (#61 <https://github.com/ros-planning/srdfdom/issues/61>)
  * [maint] Inherit package VERSION from package.xml (#74 <https://github.com/ros-planning/srdfdom/issues/74>)
  * [maint] Symbol visibility for Windows support (#69 <https://github.com/ros-planning/srdfdom/issues/69>)
  * [maint] Proper exporting of TinyXML2 library to dependent ament packages (#54 <https://github.com/ros-planning/srdfdom/issues/54>)
  * [ros2-migration] Port to ROS 2 (#52 <https://github.com/ros-planning/srdfdom/issues/52>)
    * Apply initial port by AcutronicsRobotics (AcutronicRobotics:srdfdom#1 <https://github.com/AcutronicRobotics/srdfdom/issues/1>, AcutronicRobotics:srdfdom#2 <https://github.com/AcutronicRobotics/srdfdom/issues/2>, AcutronicRobotics:srdfdom#3 <https://github.com/AcutronicRobotics/srdfdom/issues/3>, AcutronicRobotics:srdfdom#4 <https://github.com/AcutronicRobotics/srdfdom/issues/4>)
    * Enable Travis CI
  * Contributors: Alejandro Hernandez Cordero, Anas Mchichou El Harrak, Henning Kayser, Hunter L. Allen, Josh Langsfeld, Lior Lustgarten, Patrick Beeson, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Nov 2020 06:00:00 -0000

ros-lyrical-srdfdom (0.6.2-3resolute) resolute; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 09 Sep 2020 05:00:00 -0000

ros-lyrical-srdfdom (0.6.1-3resolute) resolute; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 06 Sep 2020 05:00:00 -0000

ros-lyrical-srdfdom (0.6.0-3resolute) resolute; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 19 Aug 2020 05:00:00 -0000

ros-lyrical-srdfdom (0.5.2-3resolute) resolute; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Jun 2020 05:00:00 -0000

ros-lyrical-srdfdom (0.5.0-3resolute) resolute; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 24 Apr 2018 05:00:00 -0000

ros-lyrical-srdfdom (0.4.2-3resolute) resolute; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 30 Jan 2017 06:00:00 -0000

ros-lyrical-srdfdom (0.4.1-3resolute) resolute; urgency=high

  * [fix][system] Build failure for Ubuntu Wily and Debian Jesie (urdfdom compatibility #25 <https://github.com/ros-planning/srdfdom/issues/25>)
    * test for existence of urdf typedef
    * if not existing, activate compatibility header
  * Contributors: Michael Goerner, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 22 Sep 2016 05:00:00 -0000

ros-lyrical-srdfdom (0.4.0-3resolute) resolute; urgency=high

  * [fix] Define shared_ptr typedef (adjusting to the recent change in urdfdom) #21 <https://github.com/ros-planning/srdfdom/issues/21>
  * Contributors: Dave Coleman, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 09 Sep 2016 05:00:00 -0000

ros-lyrical-srdfdom (0.3.2-3resolute) resolute; urgency=high

  * [feat] Move SRDF-specific commands from moveit package #14 <https://github.com/ros-planning/srdfdom/issues/14>
  * [sys] remove ROS-dependent logging.
  * [sys] Much cleanup in package.xml. #12 <https://github.com/ros-planning/srdfdom/issues/12> pkg-config is no longer used after https://github.com/ros-planning/srdfdom/commit/19b23e5900e9c179089e99caae52023f95d2fec8#diff-af3b638bc2a3e6c650974192a53c7291
  * Contributors: Dave Coleman, Sarah Elliott, Robert Haschke, Isaac I.Y. Saito

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 25 Aug 2016 05:00:00 -0000

ros-lyrical-srdfdom (0.3.1-3resolute) resolute; urgency=high

  * Change logError to Warn if collision link missing #10 <https://github.com/ros-planning/srdfdom/issues/10> Since MoveIt continues to load anyway, it makes sense to change the unknown collision link pairs ROS Error to a ROS Warning. Everything continues to work if a specified set of collision-link pairs is missing.
  * Contributors: Dave Coleman, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 01 Aug 2016 05:00:00 -0000

ros-lyrical-srdfdom (0.3.0-3resolute) resolute; urgency=high

  * Removed unwanted python compiled file
  * Fixed path to resource in python test to work for rostest
  * Fixed authors, added doc
  * Fixed group_state parsing and changed chain as an aggregate
  * Renamed groups as subgroups when integrated in a group
  * Added the cpp tests in the python test
  * Fixed missing install
  * Added a python parser based on urdf_parser_py and using its reflection interface
  * Contributors: Dave Coleman, Guillaume Walck

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 16 Jun 2015 05:00:00 -0000

ros-lyrical-srdfdom (0.2.7-3resolute) resolute; urgency=high

  * fixing dependencies for https://github.com/ros/rosdistro/issues/4633
  * added travis build status indicator in README.md
  * added travis support
  * use FindTinyXML from cmake_module
  * Contributors: Dave Coleman, Dave Hershberger, Ioan Sucan, Tully Foote

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 01 Jul 2014 05:00:00 -0000

ros-lyrical-srdfdom (0.2.6-3resolute) resolute; urgency=high

  * fix incorrect tag name

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 19 Jul 2013 05:00:00 -0000


